# ai_info.hpp File Reference

AIInfo keeps track of all information of an AI, like Author, Description, . More...

`#include <list>`
`#include "../core/smallmap_type.hpp"`
`#include "../script/script_info.hpp"`

Go to the source code of this file.

## Data Structures
struct | AIConfigItem
| Info about a single AI setting. More...
class | AIFileInfo
| Base class that holds some basic information about AIs and AI libraries. More...
class | AIInfo
| All static information from an AI like name, version, etc. More...
class | AILibrary
| All static information from an AI library like name, version, etc. More...
## Typedefs
typedef SmallMap< int, char * > | LabelMapping
| Map-type used to map the setting numbers to labels.
typedef std::list< AIConfigItem > | AIConfigItemList
| List of AIConfig items.
## Enumerations
enum | AIConfigFlags { AICONFIG_NONE = 0x0, AICONFIG_RANDOM = 0x1, AICONFIG_BOOLEAN = 0x2, AICONFIG_INGAME = 0x4 }
| Bitmask of flags for AI settings. More...
## Variables
AIConfigItem | _start_date_config
| Configuration for AI start date, every AI has this setting.

## Detailed Description

AIInfo keeps track of all information of an AI, like Author, Description, .

..

Definition in file ai_info.hpp.

## Enumeration Type Documentation

enum AIConfigFlags

Bitmask of flags for AI settings.

Enumerator:

  AICONFIG_NONE | No flags set.
  AICONFIG_RANDOM | When randomizing the AI, pick any value between min_value and max_value when on custom difficulty setting.
  AICONFIG_BOOLEAN | This value is a boolean (either 0 (false) or 1 (true) ).
  AICONFIG_INGAME | This setting can be changed while the AI is running.

Definition at line 22 of file ai_info.hpp.

## Variable Documentation

AIConfigItem _start_date_config

Configuration for AI start date, every AI has this setting.

Definition at line 25 of file ai_info.cpp.

Referenced by AIConfig::ChangeAI(), and AIConfig::GetConfigList().